/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package main;

import java.io.BufferedInputStream;
import java.io.InputStream;
import javazoom.jl.player.Player;

/**
 *
 * @author s070280
 */
public class SoundEffects implements Runnable{
    public SoundEffects(String name){
        effectName = name;
    }   
    
    @Override
    public void run(){
        soundEffectMp3();
    }  
        
    public void soundEffectMp3() {
        try {            
            InputStream inStream = this.getClass().getResourceAsStream("/music/" + effectName + ".mp3");
            BufferedInputStream bis = new BufferedInputStream(inStream);
            player = new Player(bis);
            mp3Run = new Runnable() {

                @Override
                public void run() {
                    try {
                        player.play();
                    } catch (Exception e) {
                        System.out.println(e);
                    }
                }
            };

            mp3Thread = new Thread(mp3Run);
            mp3Thread.start();
            mp3Thread.join();
        } catch (Exception e) {
            System.out.println(e);
        }        
    }
      
    private String effectName;
    private Player player;
    private Thread mp3Thread;
    private Runnable mp3Run;
}
